Subject: Re: RFC2231 encoding in HTTP: whitespace handling

From: Julian Reschke <[email-masked]>
Date: Thu, 11 Dec 2008 16:13:17 +0100

Frank Ellermann wrote:
> Julian Reschke wrote:
> 
>> Can you point to language or ABNF rules in RFC2231 or MIME
>> that actually says that (I'm ready to believe you, I just
>> want to understand how you come to that conclusion...).
> 
> It's a bit tricky, that's why I sent a copy to Ned.
> 
> "*" is no <tspecials> in RFC 2045.  A lexical parser handles
> it as ordinary token character.
> 
> "*" is also no <specials> in RFC 5232 (2822upd).  A lexical
> parser handles it as ordinary <atext> character.
> 
> RFC 2231 does not update <tspecials>.  In fact it says:
> 
> | Specifically, an asterisk at the end of a parameter name
> | acts as an indicator that character set and language
> | information may appear at the beginning of the parameter
> | value.
> 
> "At the end of" is arguably not the same as "following".
 > ...

Yes, you are right.

I was working under the assumption the RFC 2231 actually extends the 
parameter grammar, but it turns out that it only overloads the existing

   parameter = name "=" value

   name = token
   value = token

syntax, in that the trailing "*" is part of the name token, and in that 
case the value token gets special treatment.

Seems that I'll need to rephrase big parts of 
<http://greenbytes.de/tech/webdav/draft-reschke-rfc2231-in-http-latest.html> 
then...

BR, Julian